<?php

namespace App\Services\Business\MiaoXuan;

use App\Models\BusinessGoodsSku;
use App\Services\Business\BusinessClient;

class MiaoXuan extends BusinessClient
{

    public function auth()
    {
        // TODO: Implement auth() method.
    }

    public function downloadGoodsListAndBind()
    {
    }

    public function bindGoods($goods)
    {
        Goods::bindGoods($goods, $this->shop->id);
    }

    public function incrQuantity($businessGoodsSku, $num, $incremental)
    {
        $appendParams = Goods::incrQuantity($this->shop->id, $num, $businessGoodsSku);
        $url = 'http://shop.chutang66.com/miaoxuan/stock';
        $this->formDataPostRequest($url, $appendParams);
    }

    public function downloadOrdersAndSave($beginTime, $endTime, $downloadType = 'default', $page = 1)
    {
    }

    public function downloadGoods($skuId)
    {
        // TODO: Implement downloadGoods() method.
    }
}
